/*===========================================================================*/
/*   (Llib/socket.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/socket.scm -indent -o objs/obj_s/Llib/socket.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__socketzd2outputzd2zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2inputzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t);
static obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t socket_close(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t);
extern obj_t socket_accept(obj_t, bool_t, bool_t);
static obj_t BGl_cnstzd2initzd2zz__socketz00();
BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2connectionz00zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int, obj_t);
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t);
static obj_t BGl__socketzd2acceptzd2connectionz00zz__socketz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t);
extern obj_t make_client_socket(obj_t, int, bool_t);
static obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__socketz00();
extern obj_t socket_local_addr(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2closezd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2dupzd2zz__socketz00(obj_t);
extern obj_t make_server_socket(int);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__socketzd2hostnamezd2zz__socketz00(obj_t, obj_t);
extern obj_t socket_shutdown(obj_t, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2downzf3z21zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2localzd2addressz00zz__socketz00(obj_t, obj_t);
extern obj_t socket_accept_connection(obj_t, bool_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t);
extern obj_t socket_dup(obj_t);
static obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t, obj_t, obj_t);
static obj_t BGl__socketzf3zf3zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2096z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2095z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2dupzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2094z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2093z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2092z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2091z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2090z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2089z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2088z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2087z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2086z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2085z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2082z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2080z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2079z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2078z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2077z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_socketzf3zf3zz__socketz00(obj_t);
static obj_t BGl_symbol2076z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2075z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2074z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2073z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2072z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2071z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2070z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2069z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2068z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2065z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2064z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2063z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol2062z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2portzd2numberz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2hostzd2addressz00zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol2061z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2closezd2zz__socketz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_socketzd2shutdownzd2envz00zz__socketz00, BgL_bgl__socketza7d2shutdownza7d2za7za7__socketza7002110za7, va_generic_entry, BGl__socketzd2shutdownzd2zz__socketz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzf3zd2envz21zz__socketz00, BgL_bgl__socketza7f3za7f3za7za7__socketza7002111za7, BGl__socketzf3zf3zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2dupzd2envz00zz__socketz00, BgL_bgl__socketza7d2dupza7d2za7za7__socketza7002112za7, BGl__socketzd2dupzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2outputzd2envz00zz__socketz00, BgL_bgl__socketza7d2outputza7d2za7za7__socketza7002113za7, BGl__socketzd2outputzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2closezd2envz00zz__socketz00, BgL_bgl__socketza7d2closeza7d2za7za7__socketza7002114za7, BGl__socketzd2closezd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2downzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2downza7f3za721za7za7__socketza7002115z00, BGl__socketzd2downzf3z21zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2hostnamezd2envz00zz__socketz00, BgL_bgl__socketza7d2hostnameza7d2za7za7__socketza7002116za7, BGl__socketzd2hostnamezd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2inputzd2envz00zz__socketz00, BgL_bgl__socketza7d2inputza7d2za7za7__socketza7002117za7, BGl__socketzd2inputzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2hostzd2addresszd2envzd2zz__socketz00, BgL_bgl__socketza7d2hostza7d2addressza700za7za7__socketza7002118z00, BGl__socketzd2hostzd2addressz00zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2portzd2numberzd2envzd2zz__socketz00, BgL_bgl__socketza7d2portza7d2numberza700za7za7__socketza7002119z00, BGl__socketzd2portzd2numberz00zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2clientzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2clientza7d2socketza700za7za7__socketza7002120z00, va_generic_entry, BGl__makezd2clientzd2socketz00zz__socketz00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2clientzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2clientza7f3za721za7za7__socketza7002121z00, BGl__socketzd2clientzf3z21zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2serverzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2serverza7d2socketza700za7za7__socketza7002122z00, va_generic_entry, BGl__makezd2serverzd2socketz00zz__socketz00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2serverzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2serverza7f3za721za7za7__socketza7002123z00, BGl__socketzd2serverzf3z21zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2084z00zz__socketz00, BgL_bgl_string2084za700za7za7__socketza7002124z00, "int", 3 );
DEFINE_STRING( BGl_string2083z00zz__socketz00, BgL_bgl_string2083za700za7za7__socketza7002125z00, "bstring", 7 );
DEFINE_STRING( BGl_string2081z00zz__socketz00, BgL_bgl_string2081za700za7za7__socketza7002126z00, "pair", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2acceptzd2envz00zz__socketz00, BgL_bgl__socketza7d2acceptza7d2za7za7__socketza7002127za7, va_generic_entry, BGl__socketzd2acceptzd2zz__socketz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2localzd2addresszd2envzd2zz__socketz00, BgL_bgl__socketza7d2localza7d2addressza700za7za7__socketza7002128z00, BGl__socketzd2localzd2addressz00zz__socketz00, 0L, 1 );
DEFINE_STRING( BGl_string2067z00zz__socketz00, BgL_bgl_string2067za700za7za7__socketza7002129z00, "/tmp/bigloo/runtime/./Llib/socket.scm", 37 );
DEFINE_STRING( BGl_string2066z00zz__socketz00, BgL_bgl_string2066za700za7za7__socketza7002130z00, "socket", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2acceptzd2connectionzd2envzd2zz__socketz00, BgL_bgl__socketza7d2acceptza7d2connectionza700za7za7__socketza7002131z00, va_generic_entry, BGl__socketzd2acceptzd2connectionz00zz__socketz00, -2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long BgL_checksumz00_850, char * BgL_fromz00_851)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__socketz00))
{ 
BGl_requirezd2initializa7ationz75zz__socketz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__socketz00(); 
BGl_importedzd2moduleszd2initz00zz__socketz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* ./Llib/socket.scm 15 */
BGl_symbol2061z00zz__socketz00 = 
string_to_symbol("socket?"); 
BGl_symbol2062z00zz__socketz00 = 
string_to_symbol("socket-server?"); 
BGl_symbol2063z00zz__socketz00 = 
string_to_symbol("socket-client?"); 
BGl_symbol2064z00zz__socketz00 = 
string_to_symbol("socket-hostname"); 
BGl_symbol2065z00zz__socketz00 = 
string_to_symbol("_socket-hostname"); 
BGl_symbol2068z00zz__socketz00 = 
string_to_symbol("socket-host-address"); 
BGl_symbol2069z00zz__socketz00 = 
string_to_symbol("_socket-host-address"); 
BGl_symbol2070z00zz__socketz00 = 
string_to_symbol("socket-local-address"); 
BGl_symbol2071z00zz__socketz00 = 
string_to_symbol("_socket-local-address"); 
BGl_symbol2072z00zz__socketz00 = 
string_to_symbol("socket-down?"); 
BGl_symbol2073z00zz__socketz00 = 
string_to_symbol("_socket-down?"); 
BGl_symbol2074z00zz__socketz00 = 
string_to_symbol("socket-port-number"); 
BGl_symbol2075z00zz__socketz00 = 
string_to_symbol("_socket-port-number"); 
BGl_symbol2076z00zz__socketz00 = 
string_to_symbol("socket-input"); 
BGl_symbol2077z00zz__socketz00 = 
string_to_symbol("_socket-input"); 
BGl_symbol2078z00zz__socketz00 = 
string_to_symbol("socket-output"); 
BGl_symbol2079z00zz__socketz00 = 
string_to_symbol("_socket-output"); 
BGl_symbol2080z00zz__socketz00 = 
string_to_symbol("make-client-socket"); 
BGl_symbol2082z00zz__socketz00 = 
string_to_symbol("_make-client-socket"); 
BGl_symbol2085z00zz__socketz00 = 
string_to_symbol("make-server-socket"); 
BGl_symbol2086z00zz__socketz00 = 
string_to_symbol("socket-accept-connection"); 
BGl_symbol2087z00zz__socketz00 = 
string_to_symbol("_socket-accept-connection"); 
BGl_symbol2088z00zz__socketz00 = 
string_to_symbol("socket-accept"); 
BGl_symbol2089z00zz__socketz00 = 
string_to_symbol("_socket-accept"); 
BGl_symbol2090z00zz__socketz00 = 
string_to_symbol("socket-dup"); 
BGl_symbol2091z00zz__socketz00 = 
string_to_symbol("_socket-dup"); 
BGl_symbol2092z00zz__socketz00 = 
string_to_symbol("socket-shutdown"); 
BGl_symbol2093z00zz__socketz00 = 
string_to_symbol("_socket-shutdown"); 
BGl_symbol2094z00zz__socketz00 = 
string_to_symbol("socket-close"); 
BGl_symbol2095z00zz__socketz00 = 
string_to_symbol("_socket-close"); 
return ( 
BGl_symbol2096z00zz__socketz00 = 
string_to_symbol("%import@__socket"), BUNSPEC) ;} 
}



/* socket? */
BGL_EXPORTED_DEF bool_t BGl_socketzf3zf3zz__socketz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 134 */
{ /* ./Llib/socket.scm 135 */
obj_t BgL_symbol1726z00_702;
BgL_symbol1726z00_702 = BGl_symbol2061z00zz__socketz00; 
{ /* ./Llib/socket.scm 135 */

PUSH_TRACE(BgL_symbol1726z00_702); BUNSPEC; 
{ /* ./Llib/socket.scm 135 */
bool_t BgL_aux1725z00_703;
BgL_aux1725z00_703 = 
SOCKETP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1725z00_703;} } } } 
}



/* _socket? */
obj_t BGl__socketzf3zf3zz__socketz00(obj_t BgL_envz00_617, obj_t BgL_objz00_618)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 134 */
{ /* ./Llib/socket.scm 135 */
bool_t BgL_auxz00_891;
{ /* ./Llib/socket.scm 135 */
bool_t BgL_res2097z00_707;
{ /* ./Llib/socket.scm 135 */
obj_t BgL_symbol1726z00_705;
BgL_symbol1726z00_705 = BGl_symbol2061z00zz__socketz00; 
{ /* ./Llib/socket.scm 135 */

PUSH_TRACE(BgL_symbol1726z00_705); BUNSPEC; 
{ /* ./Llib/socket.scm 135 */
bool_t BgL_aux1725z00_706;
BgL_aux1725z00_706 = 
SOCKETP(BgL_objz00_618); 
POP_TRACE(); 
BgL_res2097z00_707 = BgL_aux1725z00_706; } } } 
BgL_auxz00_891 = BgL_res2097z00_707; } 
return 
BBOOL(BgL_auxz00_891);} } 
}



/* socket-server? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 140 */
{ /* ./Llib/socket.scm 141 */
obj_t BgL_symbol1730z00_708;
BgL_symbol1730z00_708 = BGl_symbol2062z00zz__socketz00; 
{ /* ./Llib/socket.scm 141 */

PUSH_TRACE(BgL_symbol1730z00_708); BUNSPEC; 
{ /* ./Llib/socket.scm 141 */
bool_t BgL_aux1729z00_709;
BgL_aux1729z00_709 = 
SOCKET_SERVERP(BgL_objz00_2); 
POP_TRACE(); 
return BgL_aux1729z00_709;} } } } 
}



/* _socket-server? */
obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t BgL_envz00_619, obj_t BgL_objz00_620)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 140 */
{ /* ./Llib/socket.scm 141 */
bool_t BgL_auxz00_899;
{ /* ./Llib/socket.scm 141 */
bool_t BgL_res2098z00_713;
{ /* ./Llib/socket.scm 141 */
obj_t BgL_symbol1730z00_711;
BgL_symbol1730z00_711 = BGl_symbol2062z00zz__socketz00; 
{ /* ./Llib/socket.scm 141 */

PUSH_TRACE(BgL_symbol1730z00_711); BUNSPEC; 
{ /* ./Llib/socket.scm 141 */
bool_t BgL_aux1729z00_712;
BgL_aux1729z00_712 = 
SOCKET_SERVERP(BgL_objz00_620); 
POP_TRACE(); 
BgL_res2098z00_713 = BgL_aux1729z00_712; } } } 
BgL_auxz00_899 = BgL_res2098z00_713; } 
return 
BBOOL(BgL_auxz00_899);} } 
}



/* socket-client? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 146 */
{ /* ./Llib/socket.scm 147 */
obj_t BgL_symbol1734z00_714;
BgL_symbol1734z00_714 = BGl_symbol2063z00zz__socketz00; 
{ /* ./Llib/socket.scm 147 */

PUSH_TRACE(BgL_symbol1734z00_714); BUNSPEC; 
{ /* ./Llib/socket.scm 147 */
bool_t BgL_aux1733z00_715;
BgL_aux1733z00_715 = 
SOCKET_CLIENTP(BgL_objz00_3); 
POP_TRACE(); 
return BgL_aux1733z00_715;} } } } 
}



/* _socket-client? */
obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t BgL_envz00_621, obj_t BgL_objz00_622)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 146 */
{ /* ./Llib/socket.scm 147 */
bool_t BgL_auxz00_907;
{ /* ./Llib/socket.scm 147 */
bool_t BgL_res2099z00_719;
{ /* ./Llib/socket.scm 147 */
obj_t BgL_symbol1734z00_717;
BgL_symbol1734z00_717 = BGl_symbol2063z00zz__socketz00; 
{ /* ./Llib/socket.scm 147 */

PUSH_TRACE(BgL_symbol1734z00_717); BUNSPEC; 
{ /* ./Llib/socket.scm 147 */
bool_t BgL_aux1733z00_718;
BgL_aux1733z00_718 = 
SOCKET_CLIENTP(BgL_objz00_622); 
POP_TRACE(); 
BgL_res2099z00_719 = BgL_aux1733z00_718; } } } 
BgL_auxz00_907 = BgL_res2099z00_719; } 
return 
BBOOL(BgL_auxz00_907);} } 
}



/* socket-hostname */
BGL_EXPORTED_DEF obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t BgL_socketz00_4)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 152 */
{ /* ./Llib/socket.scm 153 */
obj_t BgL_symbol1738z00_720;
BgL_symbol1738z00_720 = BGl_symbol2064z00zz__socketz00; 
{ /* ./Llib/socket.scm 153 */

PUSH_TRACE(BgL_symbol1738z00_720); BUNSPEC; 
{ /* ./Llib/socket.scm 153 */
obj_t BgL_aux1737z00_721;
BgL_aux1737z00_721 = 
SOCKET_HOSTNAME(BgL_socketz00_4); 
POP_TRACE(); 
return BgL_aux1737z00_721;} } } } 
}



/* _socket-hostname */
obj_t BGl__socketzd2hostnamezd2zz__socketz00(obj_t BgL_envz00_623, obj_t BgL_socketz00_624)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 152 */
{ /* ./Llib/socket.scm 153 */
obj_t BgL_socketz00_722;
if(
SOCKETP(BgL_socketz00_624))
{ /* ./Llib/socket.scm 153 */
BgL_socketz00_722 = BgL_socketz00_624; }  else 
{ /* ./Llib/socket.scm 153 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2065z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_624, BGl_string2067z00zz__socketz00, 
BINT(((long)6308))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 153 */
obj_t BgL_symbol1738z00_723;
BgL_symbol1738z00_723 = BGl_symbol2064z00zz__socketz00; 
{ /* ./Llib/socket.scm 153 */

PUSH_TRACE(BgL_symbol1738z00_723); BUNSPEC; 
{ /* ./Llib/socket.scm 153 */
obj_t BgL_aux1737z00_724;
BgL_aux1737z00_724 = 
SOCKET_HOSTNAME(BgL_socketz00_722); 
POP_TRACE(); 
return BgL_aux1737z00_724;} } } } } 
}



/* socket-host-address */
BGL_EXPORTED_DEF obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_socketz00_5)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 158 */
{ /* ./Llib/socket.scm 159 */
obj_t BgL_symbol1742z00_725;
BgL_symbol1742z00_725 = BGl_symbol2068z00zz__socketz00; 
{ /* ./Llib/socket.scm 159 */

PUSH_TRACE(BgL_symbol1742z00_725); BUNSPEC; 
{ /* ./Llib/socket.scm 159 */
obj_t BgL_aux1741z00_726;
BgL_aux1741z00_726 = 
SOCKET_HOSTIP(BgL_socketz00_5); 
POP_TRACE(); 
return BgL_aux1741z00_726;} } } } 
}



/* _socket-host-address */
obj_t BGl__socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_envz00_625, obj_t BgL_socketz00_626)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 158 */
{ /* ./Llib/socket.scm 159 */
obj_t BgL_socketz00_727;
if(
SOCKETP(BgL_socketz00_626))
{ /* ./Llib/socket.scm 159 */
BgL_socketz00_727 = BgL_socketz00_626; }  else 
{ /* ./Llib/socket.scm 159 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2069z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_626, BGl_string2067z00zz__socketz00, 
BINT(((long)6606))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 159 */
obj_t BgL_symbol1742z00_728;
BgL_symbol1742z00_728 = BGl_symbol2068z00zz__socketz00; 
{ /* ./Llib/socket.scm 159 */

PUSH_TRACE(BgL_symbol1742z00_728); BUNSPEC; 
{ /* ./Llib/socket.scm 159 */
obj_t BgL_aux1741z00_729;
BgL_aux1741z00_729 = 
SOCKET_HOSTIP(BgL_socketz00_727); 
POP_TRACE(); 
return BgL_aux1741z00_729;} } } } } 
}



/* socket-local-address */
BGL_EXPORTED_DEF obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t BgL_socketz00_6)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 164 */
{ /* ./Llib/socket.scm 165 */
obj_t BgL_symbol1746z00_730;
BgL_symbol1746z00_730 = BGl_symbol2070z00zz__socketz00; 
{ /* ./Llib/socket.scm 165 */

PUSH_TRACE(BgL_symbol1746z00_730); BUNSPEC; 
{ /* ./Llib/socket.scm 165 */
obj_t BgL_aux1745z00_731;
BgL_aux1745z00_731 = 
socket_local_addr(BgL_socketz00_6); 
POP_TRACE(); 
return BgL_aux1745z00_731;} } } } 
}



/* _socket-local-address */
obj_t BGl__socketzd2localzd2addressz00zz__socketz00(obj_t BgL_envz00_627, obj_t BgL_socketz00_628)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 164 */
{ /* ./Llib/socket.scm 165 */
obj_t BgL_socketz00_732;
if(
SOCKETP(BgL_socketz00_628))
{ /* ./Llib/socket.scm 165 */
BgL_socketz00_732 = BgL_socketz00_628; }  else 
{ /* ./Llib/socket.scm 165 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2071z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_628, BGl_string2067z00zz__socketz00, 
BINT(((long)6911))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 165 */
obj_t BgL_symbol1746z00_733;
BgL_symbol1746z00_733 = BGl_symbol2070z00zz__socketz00; 
{ /* ./Llib/socket.scm 165 */

PUSH_TRACE(BgL_symbol1746z00_733); BUNSPEC; 
{ /* ./Llib/socket.scm 165 */
obj_t BgL_aux1745z00_734;
BgL_aux1745z00_734 = 
socket_local_addr(BgL_socketz00_732); 
POP_TRACE(); 
return BgL_aux1745z00_734;} } } } } 
}



/* socket-down? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t BgL_socketz00_7)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 170 */
{ /* ./Llib/socket.scm 171 */
obj_t BgL_symbol1750z00_735;
BgL_symbol1750z00_735 = BGl_symbol2072z00zz__socketz00; 
{ /* ./Llib/socket.scm 171 */

PUSH_TRACE(BgL_symbol1750z00_735); BUNSPEC; 
{ /* ./Llib/socket.scm 171 */
bool_t BgL_aux1749z00_736;
BgL_aux1749z00_736 = 
SOCKET_DOWNP(BgL_socketz00_7); 
POP_TRACE(); 
return BgL_aux1749z00_736;} } } } 
}



/* _socket-down? */
obj_t BGl__socketzd2downzf3z21zz__socketz00(obj_t BgL_envz00_629, obj_t BgL_socketz00_630)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 170 */
{ /* ./Llib/socket.scm 171 */
bool_t BgL_auxz00_948;
{ /* ./Llib/socket.scm 171 */
bool_t BgL_res2100z00_740;
{ /* ./Llib/socket.scm 171 */
obj_t BgL_socketz00_737;
if(
SOCKETP(BgL_socketz00_630))
{ /* ./Llib/socket.scm 171 */
BgL_socketz00_737 = BgL_socketz00_630; }  else 
{ /* ./Llib/socket.scm 171 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2073z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_630, BGl_string2067z00zz__socketz00, 
BINT(((long)7218))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 171 */
obj_t BgL_symbol1750z00_738;
BgL_symbol1750z00_738 = BGl_symbol2072z00zz__socketz00; 
{ /* ./Llib/socket.scm 171 */

PUSH_TRACE(BgL_symbol1750z00_738); BUNSPEC; 
{ /* ./Llib/socket.scm 171 */
bool_t BgL_aux1749z00_739;
BgL_aux1749z00_739 = 
SOCKET_DOWNP(BgL_socketz00_737); 
POP_TRACE(); 
BgL_res2100z00_740 = BgL_aux1749z00_739; } } } } 
BgL_auxz00_948 = BgL_res2100z00_740; } 
return 
BBOOL(BgL_auxz00_948);} } 
}



/* socket-port-number */
BGL_EXPORTED_DEF obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t BgL_socketz00_8)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 176 */
{ /* ./Llib/socket.scm 177 */
obj_t BgL_symbol1754z00_741;
BgL_symbol1754z00_741 = BGl_symbol2074z00zz__socketz00; 
{ /* ./Llib/socket.scm 177 */

PUSH_TRACE(BgL_symbol1754z00_741); BUNSPEC; 
{ /* ./Llib/socket.scm 177 */
obj_t BgL_aux1753z00_742;
{ /* ./Llib/socket.scm 177 */
int BgL_auxz00_959;
BgL_auxz00_959 = 
SOCKET_PORT(BgL_socketz00_8); 
BgL_aux1753z00_742 = 
BINT(BgL_auxz00_959); } 
POP_TRACE(); 
return BgL_aux1753z00_742;} } } } 
}



/* _socket-port-number */
obj_t BGl__socketzd2portzd2numberz00zz__socketz00(obj_t BgL_envz00_631, obj_t BgL_socketz00_632)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 176 */
{ /* ./Llib/socket.scm 177 */
obj_t BgL_res2101z00_746;
{ /* ./Llib/socket.scm 177 */
obj_t BgL_socketz00_743;
if(
SOCKETP(BgL_socketz00_632))
{ /* ./Llib/socket.scm 177 */
BgL_socketz00_743 = BgL_socketz00_632; }  else 
{ /* ./Llib/socket.scm 177 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2075z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_632, BGl_string2067z00zz__socketz00, 
BINT(((long)7526))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 177 */
obj_t BgL_symbol1754z00_744;
BgL_symbol1754z00_744 = BGl_symbol2074z00zz__socketz00; 
{ /* ./Llib/socket.scm 177 */

PUSH_TRACE(BgL_symbol1754z00_744); BUNSPEC; 
{ /* ./Llib/socket.scm 177 */
obj_t BgL_aux1753z00_745;
{ /* ./Llib/socket.scm 177 */
int BgL_auxz00_969;
BgL_auxz00_969 = 
SOCKET_PORT(BgL_socketz00_743); 
BgL_aux1753z00_745 = 
BINT(BgL_auxz00_969); } 
POP_TRACE(); 
BgL_res2101z00_746 = BgL_aux1753z00_745; } } } } 
return BgL_res2101z00_746;} } 
}



/* socket-input */
BGL_EXPORTED_DEF obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t BgL_socketz00_9)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 182 */
{ /* ./Llib/socket.scm 183 */
obj_t BgL_symbol1758z00_747;
BgL_symbol1758z00_747 = BGl_symbol2076z00zz__socketz00; 
{ /* ./Llib/socket.scm 183 */

PUSH_TRACE(BgL_symbol1758z00_747); BUNSPEC; 
{ /* ./Llib/socket.scm 183 */
obj_t BgL_aux1757z00_748;
BgL_aux1757z00_748 = 
SOCKET_INPUT(BgL_socketz00_9); 
POP_TRACE(); 
return BgL_aux1757z00_748;} } } } 
}



/* _socket-input */
obj_t BGl__socketzd2inputzd2zz__socketz00(obj_t BgL_envz00_633, obj_t BgL_socketz00_634)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 182 */
{ /* ./Llib/socket.scm 183 */
obj_t BgL_socketz00_749;
if(
SOCKETP(BgL_socketz00_634))
{ /* ./Llib/socket.scm 183 */
BgL_socketz00_749 = BgL_socketz00_634; }  else 
{ /* ./Llib/socket.scm 183 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2077z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_634, BGl_string2067z00zz__socketz00, 
BINT(((long)7828))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 183 */
obj_t BgL_symbol1758z00_750;
BgL_symbol1758z00_750 = BGl_symbol2076z00zz__socketz00; 
{ /* ./Llib/socket.scm 183 */

PUSH_TRACE(BgL_symbol1758z00_750); BUNSPEC; 
{ /* ./Llib/socket.scm 183 */
obj_t BgL_aux1757z00_751;
BgL_aux1757z00_751 = 
SOCKET_INPUT(BgL_socketz00_749); 
POP_TRACE(); 
return BgL_aux1757z00_751;} } } } } 
}



/* socket-output */
BGL_EXPORTED_DEF obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t BgL_socketz00_10)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 188 */
{ /* ./Llib/socket.scm 189 */
obj_t BgL_symbol1762z00_752;
BgL_symbol1762z00_752 = BGl_symbol2078z00zz__socketz00; 
{ /* ./Llib/socket.scm 189 */

PUSH_TRACE(BgL_symbol1762z00_752); BUNSPEC; 
{ /* ./Llib/socket.scm 189 */
obj_t BgL_aux1761z00_753;
BgL_aux1761z00_753 = 
SOCKET_OUTPUT(BgL_socketz00_10); 
POP_TRACE(); 
return BgL_aux1761z00_753;} } } } 
}



/* _socket-output */
obj_t BGl__socketzd2outputzd2zz__socketz00(obj_t BgL_envz00_635, obj_t BgL_socketz00_636)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 188 */
{ /* ./Llib/socket.scm 189 */
obj_t BgL_socketz00_754;
if(
SOCKETP(BgL_socketz00_636))
{ /* ./Llib/socket.scm 189 */
BgL_socketz00_754 = BgL_socketz00_636; }  else 
{ /* ./Llib/socket.scm 189 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2079z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_636, BGl_string2067z00zz__socketz00, 
BINT(((long)8125))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 189 */
obj_t BgL_symbol1762z00_755;
BgL_symbol1762z00_755 = BGl_symbol2078z00zz__socketz00; 
{ /* ./Llib/socket.scm 189 */

PUSH_TRACE(BgL_symbol1762z00_755); BUNSPEC; 
{ /* ./Llib/socket.scm 189 */
obj_t BgL_aux1761z00_756;
BgL_aux1761z00_756 = 
SOCKET_OUTPUT(BgL_socketz00_754); 
POP_TRACE(); 
return BgL_aux1761z00_756;} } } } } 
}



/* make-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t BgL_hostnamez00_11, int BgL_portzd2numberzd2_12, obj_t BgL_bufferedz00_13)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 194 */
{ /* ./Llib/socket.scm 197 */
obj_t BgL_symbol1766z00_757;
BgL_symbol1766z00_757 = BGl_symbol2080z00zz__socketz00; 
{ /* ./Llib/socket.scm 197 */

PUSH_TRACE(BgL_symbol1766z00_757); BUNSPEC; 
{ /* ./Llib/socket.scm 197 */
obj_t BgL_aux1765z00_758;
{ /* ./Llib/socket.scm 197 */
bool_t BgL_arg1020z00_759;
{ /* ./Llib/socket.scm 197 */
bool_t BgL__ortest_1003z00_760;
BgL__ortest_1003z00_760 = 
NULLP(BgL_bufferedz00_13); 
if(BgL__ortest_1003z00_760)
{ /* ./Llib/socket.scm 197 */
BgL_arg1020z00_759 = BgL__ortest_1003z00_760; }  else 
{ /* ./Llib/socket.scm 197 */
obj_t BgL_arg1023z00_761;
{ /* ./Llib/socket.scm 197 */
obj_t BgL_pairz00_762;
if(
PAIRP(BgL_bufferedz00_13))
{ /* ./Llib/socket.scm 197 */
BgL_pairz00_762 = BgL_bufferedz00_13; }  else 
{ /* ./Llib/socket.scm 197 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2080z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_13, BGl_string2067z00zz__socketz00, 
BINT(((long)8508))); 
exit( -1 );} 
BgL_arg1023z00_761 = 
CAR(BgL_pairz00_762); } 
BgL_arg1020z00_759 = 
(BgL_arg1023z00_761==BTRUE); } } 
BgL_aux1765z00_758 = 
make_client_socket(BgL_hostnamez00_11, BgL_portzd2numberzd2_12, BgL_arg1020z00_759); } 
POP_TRACE(); 
return BgL_aux1765z00_758;} } } } 
}



/* _make-client-socket */
obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t BgL_envz00_637, obj_t BgL_hostnamez00_638, obj_t BgL_portzd2numberzd2_639, obj_t BgL_bufferedz00_640)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 194 */
{ /* ./Llib/socket.scm 197 */
obj_t BgL_res2102z00_772;
{ /* ./Llib/socket.scm 197 */
obj_t BgL_hostnamez00_763;int BgL_portzd2numberzd2_764;
if(
STRINGP(BgL_hostnamez00_638))
{ /* ./Llib/socket.scm 197 */
BgL_hostnamez00_763 = BgL_hostnamez00_638; }  else 
{ /* ./Llib/socket.scm 197 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2082z00zz__socketz00, BGl_string2083z00zz__socketz00, BgL_hostnamez00_638, BGl_string2067z00zz__socketz00, 
BINT(((long)8508))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 197 */
obj_t BgL_auxz00_1012;
if(
INTEGERP(BgL_portzd2numberzd2_639))
{ /* ./Llib/socket.scm 197 */
BgL_auxz00_1012 = BgL_portzd2numberzd2_639
; }  else 
{ /* ./Llib/socket.scm 197 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2082z00zz__socketz00, BGl_string2084z00zz__socketz00, BgL_portzd2numberzd2_639, BGl_string2067z00zz__socketz00, 
BINT(((long)8508))); 
exit( -1 );} 
BgL_portzd2numberzd2_764 = 
CINT(BgL_auxz00_1012); } 
{ /* ./Llib/socket.scm 197 */
obj_t BgL_symbol1766z00_766;
BgL_symbol1766z00_766 = BGl_symbol2080z00zz__socketz00; 
{ /* ./Llib/socket.scm 197 */

PUSH_TRACE(BgL_symbol1766z00_766); BUNSPEC; 
{ /* ./Llib/socket.scm 197 */
obj_t BgL_aux1765z00_767;
{ /* ./Llib/socket.scm 197 */
bool_t BgL_arg1020z00_768;
{ /* ./Llib/socket.scm 197 */
bool_t BgL__ortest_1003z00_769;
BgL__ortest_1003z00_769 = 
NULLP(BgL_bufferedz00_640); 
if(BgL__ortest_1003z00_769)
{ /* ./Llib/socket.scm 197 */
BgL_arg1020z00_768 = BgL__ortest_1003z00_769; }  else 
{ /* ./Llib/socket.scm 197 */
obj_t BgL_arg1023z00_770;
{ /* ./Llib/socket.scm 197 */
obj_t BgL_pairz00_771;
if(
PAIRP(BgL_bufferedz00_640))
{ /* ./Llib/socket.scm 197 */
BgL_pairz00_771 = BgL_bufferedz00_640; }  else 
{ /* ./Llib/socket.scm 197 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2080z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_640, BGl_string2067z00zz__socketz00, 
BINT(((long)8508))); 
exit( -1 );} 
BgL_arg1023z00_770 = 
CAR(BgL_pairz00_771); } 
BgL_arg1020z00_768 = 
(BgL_arg1023z00_770==BTRUE); } } 
BgL_aux1765z00_767 = 
make_client_socket(BgL_hostnamez00_763, BgL_portzd2numberzd2_764, BgL_arg1020z00_768); } 
POP_TRACE(); 
BgL_res2102z00_772 = BgL_aux1765z00_767; } } } } 
return BgL_res2102z00_772;} } 
}



/* make-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t BgL_portzd2numberzd2_14)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 202 */
{ /* ./Llib/socket.scm 203 */
obj_t BgL_symbol1770z00_773;
BgL_symbol1770z00_773 = BGl_symbol2085z00zz__socketz00; 
{ /* ./Llib/socket.scm 203 */

PUSH_TRACE(BgL_symbol1770z00_773); BUNSPEC; 
{ /* ./Llib/socket.scm 203 */
obj_t BgL_aux1769z00_774;
{ /* ./Llib/socket.scm 203 */
obj_t BgL_arg1028z00_775;
if(
NULLP(BgL_portzd2numberzd2_14))
{ /* ./Llib/socket.scm 203 */
BgL_arg1028z00_775 = 
BINT(((long)0)); }  else 
{ /* ./Llib/socket.scm 203 */
obj_t BgL_pairz00_776;
if(
PAIRP(BgL_portzd2numberzd2_14))
{ /* ./Llib/socket.scm 203 */
BgL_pairz00_776 = BgL_portzd2numberzd2_14; }  else 
{ /* ./Llib/socket.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2085z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_portzd2numberzd2_14, BGl_string2067z00zz__socketz00, 
BINT(((long)8858))); 
exit( -1 );} 
BgL_arg1028z00_775 = 
CAR(BgL_pairz00_776); } 
{ /* ./Llib/socket.scm 203 */
int BgL_auxz00_1041;
{ /* ./Llib/socket.scm 203 */
obj_t BgL_auxz00_1042;
if(
INTEGERP(BgL_arg1028z00_775))
{ /* ./Llib/socket.scm 203 */
BgL_auxz00_1042 = BgL_arg1028z00_775
; }  else 
{ /* ./Llib/socket.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2085z00zz__socketz00, BGl_string2084z00zz__socketz00, BgL_arg1028z00_775, BGl_string2067z00zz__socketz00, 
BINT(((long)8858))); 
exit( -1 );} 
BgL_auxz00_1041 = 
CINT(BgL_auxz00_1042); } 
BgL_aux1769z00_774 = 
make_server_socket(BgL_auxz00_1041); } } 
POP_TRACE(); 
return BgL_aux1769z00_774;} } } } 
}



/* _make-server-socket */
obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t BgL_envz00_641, obj_t BgL_portzd2numberzd2_642)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 202 */
{ /* ./Llib/socket.scm 203 */
obj_t BgL_res2103z00_782;
{ /* ./Llib/socket.scm 203 */
obj_t BgL_symbol1770z00_778;
BgL_symbol1770z00_778 = BGl_symbol2085z00zz__socketz00; 
{ /* ./Llib/socket.scm 203 */

PUSH_TRACE(BgL_symbol1770z00_778); BUNSPEC; 
{ /* ./Llib/socket.scm 203 */
obj_t BgL_aux1769z00_779;
{ /* ./Llib/socket.scm 203 */
obj_t BgL_arg1028z00_780;
if(
NULLP(BgL_portzd2numberzd2_642))
{ /* ./Llib/socket.scm 203 */
BgL_arg1028z00_780 = 
BINT(((long)0)); }  else 
{ /* ./Llib/socket.scm 203 */
obj_t BgL_pairz00_781;
if(
PAIRP(BgL_portzd2numberzd2_642))
{ /* ./Llib/socket.scm 203 */
BgL_pairz00_781 = BgL_portzd2numberzd2_642; }  else 
{ /* ./Llib/socket.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2085z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_portzd2numberzd2_642, BGl_string2067z00zz__socketz00, 
BINT(((long)8858))); 
exit( -1 );} 
BgL_arg1028z00_780 = 
CAR(BgL_pairz00_781); } 
{ /* ./Llib/socket.scm 203 */
int BgL_auxz00_1061;
{ /* ./Llib/socket.scm 203 */
obj_t BgL_auxz00_1062;
if(
INTEGERP(BgL_arg1028z00_780))
{ /* ./Llib/socket.scm 203 */
BgL_auxz00_1062 = BgL_arg1028z00_780
; }  else 
{ /* ./Llib/socket.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2085z00zz__socketz00, BGl_string2084z00zz__socketz00, BgL_arg1028z00_780, BGl_string2067z00zz__socketz00, 
BINT(((long)8858))); 
exit( -1 );} 
BgL_auxz00_1061 = 
CINT(BgL_auxz00_1062); } 
BgL_aux1769z00_779 = 
make_server_socket(BgL_auxz00_1061); } } 
POP_TRACE(); 
BgL_res2103z00_782 = BgL_aux1769z00_779; } } } 
return BgL_res2103z00_782;} } 
}



/* socket-accept-connection */
BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2connectionz00zz__socketz00(obj_t BgL_socketz00_15, obj_t BgL_bufferedz00_16)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 208 */
{ /* ./Llib/socket.scm 209 */
obj_t BgL_symbol1774z00_783;
BgL_symbol1774z00_783 = BGl_symbol2086z00zz__socketz00; 
{ /* ./Llib/socket.scm 209 */

PUSH_TRACE(BgL_symbol1774z00_783); BUNSPEC; 
{ /* ./Llib/socket.scm 209 */
obj_t BgL_aux1773z00_784;
{ /* ./Llib/socket.scm 209 */
bool_t BgL_bufz00_785;
{ /* ./Llib/socket.scm 209 */
bool_t BgL__ortest_1004z00_786;
BgL__ortest_1004z00_786 = 
NULLP(BgL_bufferedz00_16); 
if(BgL__ortest_1004z00_786)
{ /* ./Llib/socket.scm 209 */
BgL_bufz00_785 = BgL__ortest_1004z00_786; }  else 
{ /* ./Llib/socket.scm 209 */
obj_t BgL_arg1035z00_787;
{ /* ./Llib/socket.scm 209 */
obj_t BgL_pairz00_788;
if(
PAIRP(BgL_bufferedz00_16))
{ /* ./Llib/socket.scm 209 */
BgL_pairz00_788 = BgL_bufferedz00_16; }  else 
{ /* ./Llib/socket.scm 209 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2086z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_16, BGl_string2067z00zz__socketz00, 
BINT(((long)9214))); 
exit( -1 );} 
BgL_arg1035z00_787 = 
CAR(BgL_pairz00_788); } 
BgL_bufz00_785 = 
(BgL_arg1035z00_787==BTRUE); } } 
BgL_aux1773z00_784 = 
socket_accept_connection(BgL_socketz00_15, BgL_bufz00_785); } 
POP_TRACE(); 
return BgL_aux1773z00_784;} } } } 
}



/* _socket-accept-connection */
obj_t BGl__socketzd2acceptzd2connectionz00zz__socketz00(obj_t BgL_envz00_643, obj_t BgL_socketz00_644, obj_t BgL_bufferedz00_645)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 208 */
{ /* ./Llib/socket.scm 209 */
obj_t BgL_socketz00_789;
if(
SOCKETP(BgL_socketz00_644))
{ /* ./Llib/socket.scm 209 */
BgL_socketz00_789 = BgL_socketz00_644; }  else 
{ /* ./Llib/socket.scm 209 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2087z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_644, BGl_string2067z00zz__socketz00, 
BINT(((long)9214))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 209 */
obj_t BgL_symbol1774z00_791;
BgL_symbol1774z00_791 = BGl_symbol2086z00zz__socketz00; 
{ /* ./Llib/socket.scm 209 */

PUSH_TRACE(BgL_symbol1774z00_791); BUNSPEC; 
{ /* ./Llib/socket.scm 209 */
obj_t BgL_aux1773z00_792;
{ /* ./Llib/socket.scm 209 */
bool_t BgL_bufz00_793;
{ /* ./Llib/socket.scm 209 */
bool_t BgL__ortest_1004z00_794;
BgL__ortest_1004z00_794 = 
NULLP(BgL_bufferedz00_645); 
if(BgL__ortest_1004z00_794)
{ /* ./Llib/socket.scm 209 */
BgL_bufz00_793 = BgL__ortest_1004z00_794; }  else 
{ /* ./Llib/socket.scm 209 */
obj_t BgL_arg1035z00_795;
{ /* ./Llib/socket.scm 209 */
obj_t BgL_pairz00_796;
if(
PAIRP(BgL_bufferedz00_645))
{ /* ./Llib/socket.scm 209 */
BgL_pairz00_796 = BgL_bufferedz00_645; }  else 
{ /* ./Llib/socket.scm 209 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2086z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_645, BGl_string2067z00zz__socketz00, 
BINT(((long)9214))); 
exit( -1 );} 
BgL_arg1035z00_795 = 
CAR(BgL_pairz00_796); } 
BgL_bufz00_793 = 
(BgL_arg1035z00_795==BTRUE); } } 
BgL_aux1773z00_792 = 
socket_accept_connection(BgL_socketz00_789, BgL_bufz00_793); } 
POP_TRACE(); 
return BgL_aux1773z00_792;} } } } } 
}



/* socket-accept */
BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t BgL_socketz00_17, obj_t BgL_bufferedz00_18)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 215 */
{ /* ./Llib/socket.scm 216 */
obj_t BgL_symbol1778z00_797;
BgL_symbol1778z00_797 = BGl_symbol2088z00zz__socketz00; 
{ /* ./Llib/socket.scm 216 */

PUSH_TRACE(BgL_symbol1778z00_797); BUNSPEC; 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_aux1777z00_798;
{ /* ./Llib/socket.scm 216 */
bool_t BgL_bufz00_799;obj_t BgL_errpz00_800;
{ /* ./Llib/socket.scm 216 */
bool_t BgL__ortest_1005z00_801;
BgL__ortest_1005z00_801 = 
NULLP(BgL_bufferedz00_18); 
if(BgL__ortest_1005z00_801)
{ /* ./Llib/socket.scm 216 */
BgL_bufz00_799 = BgL__ortest_1005z00_801; }  else 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_arg1041z00_802;
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_803;
if(
PAIRP(BgL_bufferedz00_18))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_803 = BgL_bufferedz00_18; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_18, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
BgL_arg1041z00_802 = 
CAR(BgL_pairz00_803); } 
BgL_bufz00_799 = 
(BgL_arg1041z00_802==BTRUE); } } 
{ /* ./Llib/socket.scm 216 */
bool_t BgL__ortest_1006z00_804;
BgL__ortest_1006z00_804 = 
NULLP(BgL_bufferedz00_18); 
if(BgL__ortest_1006z00_804)
{ /* ./Llib/socket.scm 216 */
BgL_errpz00_800 = 
BBOOL(BgL__ortest_1006z00_804); }  else 
{ /* ./Llib/socket.scm 216 */
bool_t BgL__ortest_1007z00_805;
{ /* ./Llib/socket.scm 216 */
obj_t BgL_arg1047z00_806;
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_807;
if(
PAIRP(BgL_bufferedz00_18))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_807 = BgL_bufferedz00_18; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_18, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
BgL_arg1047z00_806 = 
CDR(BgL_pairz00_807); } 
BgL__ortest_1007z00_805 = 
NULLP(BgL_arg1047z00_806); } 
if(BgL__ortest_1007z00_805)
{ /* ./Llib/socket.scm 216 */
BgL_errpz00_800 = 
BBOOL(BgL__ortest_1007z00_805); }  else 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_808;
if(
PAIRP(BgL_bufferedz00_18))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_808 = BgL_bufferedz00_18; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_18, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_arg1446z00_809;
BgL_arg1446z00_809 = 
CDR(BgL_pairz00_808); 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_810;
if(
PAIRP(BgL_arg1446z00_809))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_810 = BgL_arg1446z00_809; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_arg1446z00_809, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
BgL_errpz00_800 = 
CAR(BgL_pairz00_810); } } } } } 
{ /* ./Llib/socket.scm 216 */
bool_t BgL_auxz00_1134;
BgL_auxz00_1134 = 
CBOOL(BgL_errpz00_800); 
BgL_aux1777z00_798 = 
socket_accept(BgL_socketz00_17, BgL_bufz00_799, BgL_auxz00_1134); } } 
POP_TRACE(); 
return BgL_aux1777z00_798;} } } } 
}



/* _socket-accept */
obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t BgL_envz00_646, obj_t BgL_socketz00_647, obj_t BgL_bufferedz00_648)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 215 */
{ /* ./Llib/socket.scm 216 */
obj_t BgL_socketz00_811;
if(
SOCKETP(BgL_socketz00_647))
{ /* ./Llib/socket.scm 216 */
BgL_socketz00_811 = BgL_socketz00_647; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2089z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_647, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_symbol1778z00_813;
BgL_symbol1778z00_813 = BGl_symbol2088z00zz__socketz00; 
{ /* ./Llib/socket.scm 216 */

PUSH_TRACE(BgL_symbol1778z00_813); BUNSPEC; 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_aux1777z00_814;
{ /* ./Llib/socket.scm 216 */
bool_t BgL_bufz00_815;obj_t BgL_errpz00_816;
{ /* ./Llib/socket.scm 216 */
bool_t BgL__ortest_1005z00_817;
BgL__ortest_1005z00_817 = 
NULLP(BgL_bufferedz00_648); 
if(BgL__ortest_1005z00_817)
{ /* ./Llib/socket.scm 216 */
BgL_bufz00_815 = BgL__ortest_1005z00_817; }  else 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_arg1041z00_818;
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_819;
if(
PAIRP(BgL_bufferedz00_648))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_819 = BgL_bufferedz00_648; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_648, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
BgL_arg1041z00_818 = 
CAR(BgL_pairz00_819); } 
BgL_bufz00_815 = 
(BgL_arg1041z00_818==BTRUE); } } 
{ /* ./Llib/socket.scm 216 */
bool_t BgL__ortest_1006z00_820;
BgL__ortest_1006z00_820 = 
NULLP(BgL_bufferedz00_648); 
if(BgL__ortest_1006z00_820)
{ /* ./Llib/socket.scm 216 */
BgL_errpz00_816 = 
BBOOL(BgL__ortest_1006z00_820); }  else 
{ /* ./Llib/socket.scm 216 */
bool_t BgL__ortest_1007z00_821;
{ /* ./Llib/socket.scm 216 */
obj_t BgL_arg1047z00_822;
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_823;
if(
PAIRP(BgL_bufferedz00_648))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_823 = BgL_bufferedz00_648; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_648, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
BgL_arg1047z00_822 = 
CDR(BgL_pairz00_823); } 
BgL__ortest_1007z00_821 = 
NULLP(BgL_arg1047z00_822); } 
if(BgL__ortest_1007z00_821)
{ /* ./Llib/socket.scm 216 */
BgL_errpz00_816 = 
BBOOL(BgL__ortest_1007z00_821); }  else 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_824;
if(
PAIRP(BgL_bufferedz00_648))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_824 = BgL_bufferedz00_648; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_bufferedz00_648, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_arg1446z00_825;
BgL_arg1446z00_825 = 
CDR(BgL_pairz00_824); 
{ /* ./Llib/socket.scm 216 */
obj_t BgL_pairz00_826;
if(
PAIRP(BgL_arg1446z00_825))
{ /* ./Llib/socket.scm 216 */
BgL_pairz00_826 = BgL_arg1446z00_825; }  else 
{ /* ./Llib/socket.scm 216 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2088z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_arg1446z00_825, BGl_string2067z00zz__socketz00, 
BINT(((long)9609))); 
exit( -1 );} 
BgL_errpz00_816 = 
CAR(BgL_pairz00_826); } } } } } 
{ /* ./Llib/socket.scm 216 */
bool_t BgL_auxz00_1177;
BgL_auxz00_1177 = 
CBOOL(BgL_errpz00_816); 
BgL_aux1777z00_814 = 
socket_accept(BgL_socketz00_811, BgL_bufz00_815, BgL_auxz00_1177); } } 
POP_TRACE(); 
return BgL_aux1777z00_814;} } } } } 
}



/* socket-dup */
BGL_EXPORTED_DEF obj_t BGl_socketzd2dupzd2zz__socketz00(obj_t BgL_socketz00_19)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 225 */
{ /* ./Llib/socket.scm 226 */
obj_t BgL_symbol1782z00_827;
BgL_symbol1782z00_827 = BGl_symbol2090z00zz__socketz00; 
{ /* ./Llib/socket.scm 226 */

PUSH_TRACE(BgL_symbol1782z00_827); BUNSPEC; 
{ /* ./Llib/socket.scm 226 */
obj_t BgL_aux1781z00_828;
BgL_aux1781z00_828 = 
socket_dup(BgL_socketz00_19); 
POP_TRACE(); 
return BgL_aux1781z00_828;} } } } 
}



/* _socket-dup */
obj_t BGl__socketzd2dupzd2zz__socketz00(obj_t BgL_envz00_649, obj_t BgL_socketz00_650)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 225 */
{ /* ./Llib/socket.scm 226 */
obj_t BgL_res2104z00_832;
{ /* ./Llib/socket.scm 226 */
obj_t BgL_socketz00_829;
if(
SOCKETP(BgL_socketz00_650))
{ /* ./Llib/socket.scm 226 */
BgL_socketz00_829 = BgL_socketz00_650; }  else 
{ /* ./Llib/socket.scm 226 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2091z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_650, BGl_string2067z00zz__socketz00, 
BINT(((long)10057))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 226 */
obj_t BgL_symbol1782z00_830;
BgL_symbol1782z00_830 = BGl_symbol2090z00zz__socketz00; 
{ /* ./Llib/socket.scm 226 */

PUSH_TRACE(BgL_symbol1782z00_830); BUNSPEC; 
{ /* ./Llib/socket.scm 226 */
obj_t BgL_aux1781z00_831;
BgL_aux1781z00_831 = 
socket_dup(BgL_socketz00_829); 
POP_TRACE(); 
BgL_res2104z00_832 = BgL_aux1781z00_831; } } } } 
return BgL_res2104z00_832;} } 
}



/* socket-shutdown */
BGL_EXPORTED_DEF obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t BgL_socketz00_20, obj_t BgL_closez00_21)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 231 */
{ /* ./Llib/socket.scm 232 */
obj_t BgL_symbol1786z00_833;
BgL_symbol1786z00_833 = BGl_symbol2092z00zz__socketz00; 
{ /* ./Llib/socket.scm 232 */

PUSH_TRACE(BgL_symbol1786z00_833); BUNSPEC; 
{ /* ./Llib/socket.scm 232 */
obj_t BgL_aux1785z00_834;
{ /* ./Llib/socket.scm 232 */
obj_t BgL_arg1053z00_835;
{ /* ./Llib/socket.scm 232 */
bool_t BgL_test1055z00_836;
BgL_test1055z00_836 = 
PAIRP(BgL_closez00_21); 
if(BgL_test1055z00_836)
{ /* ./Llib/socket.scm 232 */
obj_t BgL_pairz00_837;
if(BgL_test1055z00_836)
{ /* ./Llib/socket.scm 232 */
BgL_pairz00_837 = BgL_closez00_21; }  else 
{ /* ./Llib/socket.scm 232 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2092z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_closez00_21, BGl_string2067z00zz__socketz00, 
BINT(((long)10388))); 
exit( -1 );} 
BgL_arg1053z00_835 = 
CAR(BgL_pairz00_837); }  else 
{ /* ./Llib/socket.scm 232 */
BgL_arg1053z00_835 = BTRUE; } } 
{ /* ./Llib/socket.scm 232 */
bool_t BgL_auxz00_1200;
BgL_auxz00_1200 = 
CBOOL(BgL_arg1053z00_835); 
BgL_aux1785z00_834 = 
socket_shutdown(BgL_socketz00_20, BgL_auxz00_1200); } } 
POP_TRACE(); 
return BgL_aux1785z00_834;} } } } 
}



/* _socket-shutdown */
obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t BgL_envz00_651, obj_t BgL_socketz00_652, obj_t BgL_closez00_653)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 231 */
{ /* ./Llib/socket.scm 232 */
obj_t BgL_socketz00_838;
if(
SOCKETP(BgL_socketz00_652))
{ /* ./Llib/socket.scm 232 */
BgL_socketz00_838 = BgL_socketz00_652; }  else 
{ /* ./Llib/socket.scm 232 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2093z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_652, BGl_string2067z00zz__socketz00, 
BINT(((long)10388))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 232 */
obj_t BgL_symbol1786z00_840;
BgL_symbol1786z00_840 = BGl_symbol2092z00zz__socketz00; 
{ /* ./Llib/socket.scm 232 */

PUSH_TRACE(BgL_symbol1786z00_840); BUNSPEC; 
{ /* ./Llib/socket.scm 232 */
obj_t BgL_aux1785z00_841;
{ /* ./Llib/socket.scm 232 */
obj_t BgL_arg1053z00_842;
{ /* ./Llib/socket.scm 232 */
bool_t BgL_test1055z00_843;
BgL_test1055z00_843 = 
PAIRP(BgL_closez00_653); 
if(BgL_test1055z00_843)
{ /* ./Llib/socket.scm 232 */
obj_t BgL_pairz00_844;
if(BgL_test1055z00_843)
{ /* ./Llib/socket.scm 232 */
BgL_pairz00_844 = BgL_closez00_653; }  else 
{ /* ./Llib/socket.scm 232 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2092z00zz__socketz00, BGl_string2081z00zz__socketz00, BgL_closez00_653, BGl_string2067z00zz__socketz00, 
BINT(((long)10388))); 
exit( -1 );} 
BgL_arg1053z00_842 = 
CAR(BgL_pairz00_844); }  else 
{ /* ./Llib/socket.scm 232 */
BgL_arg1053z00_842 = BTRUE; } } 
{ /* ./Llib/socket.scm 232 */
bool_t BgL_auxz00_1217;
BgL_auxz00_1217 = 
CBOOL(BgL_arg1053z00_842); 
BgL_aux1785z00_841 = 
socket_shutdown(BgL_socketz00_838, BgL_auxz00_1217); } } 
POP_TRACE(); 
return BgL_aux1785z00_841;} } } } } 
}



/* socket-close */
BGL_EXPORTED_DEF obj_t BGl_socketzd2closezd2zz__socketz00(obj_t BgL_socketz00_22)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 237 */
{ /* ./Llib/socket.scm 238 */
obj_t BgL_symbol1790z00_845;
BgL_symbol1790z00_845 = BGl_symbol2094z00zz__socketz00; 
{ /* ./Llib/socket.scm 238 */

PUSH_TRACE(BgL_symbol1790z00_845); BUNSPEC; 
{ /* ./Llib/socket.scm 238 */
obj_t BgL_aux1789z00_846;
BgL_aux1789z00_846 = 
socket_close(BgL_socketz00_22); 
POP_TRACE(); 
return BgL_aux1789z00_846;} } } } 
}



/* _socket-close */
obj_t BGl__socketzd2closezd2zz__socketz00(obj_t BgL_envz00_654, obj_t BgL_socketz00_655)
{ AN_OBJECT;
{ /* ./Llib/socket.scm 237 */
{ /* ./Llib/socket.scm 238 */
obj_t BgL_socketz00_847;
if(
SOCKETP(BgL_socketz00_655))
{ /* ./Llib/socket.scm 238 */
BgL_socketz00_847 = BgL_socketz00_655; }  else 
{ /* ./Llib/socket.scm 238 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2095z00zz__socketz00, BGl_string2066z00zz__socketz00, BgL_socketz00_655, BGl_string2067z00zz__socketz00, 
BINT(((long)10695))); 
exit( -1 );} 
{ /* ./Llib/socket.scm 238 */
obj_t BgL_symbol1790z00_848;
BgL_symbol1790z00_848 = BGl_symbol2094z00zz__socketz00; 
{ /* ./Llib/socket.scm 238 */

PUSH_TRACE(BgL_symbol1790z00_848); BUNSPEC; 
{ /* ./Llib/socket.scm 238 */
obj_t BgL_aux1789z00_849;
BgL_aux1789z00_849 = 
socket_close(BgL_socketz00_847); 
POP_TRACE(); 
return BgL_aux1789z00_849;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__socketz00()
{ AN_OBJECT;
{ /* ./Llib/socket.scm 15 */
{ /* ./Llib/socket.scm 15 */
obj_t BgL_symbol1794z00_615;
BgL_symbol1794z00_615 = BGl_symbol2096z00zz__socketz00; 
{ /* ./Llib/socket.scm 15 */

PUSH_TRACE(BgL_symbol1794z00_615); BUNSPEC; 
{ /* ./Llib/socket.scm 15 */
obj_t BgL_aux1793z00_616;
BgL_aux1793z00_616 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__socket"); 
POP_TRACE(); 
return BgL_aux1793z00_616;} } } } 
}

